Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159214 - authconfig makes broken yp.conf with multiple nis servers
Summary: authconfig makes broken yp.conf with multiple nis servers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: authconfig
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 187538
TreeView+ depends on / blocked
 
Reported: 2005-05-31 17:15 UTC by Chuck Berg
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHBA-2006-0376
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-03 21:34:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0376 normal SHIPPED_LIVE authconfig bug fix update 2006-05-03 04:00:00 UTC

Description Chuck Berg 2005-05-31 17:15:43 UTC
authconfig generates a bad yp.conf it is missing and you specify multiple NIS
servers:

# rm -f /etc/yp.conf
]# /usr/sbin/authconfig --enablenis --nisdomain foo --nisserver nis1,nis2
--kickstart --nostart
# cat /etc/yp.conf
domain foo server nis1,nis2
# /usr/sbin/authconfig --enablenis --nisdomain foo --nisserver nis1,nis2
--kickstart --nostart
# cat /etc/yp.conf
domain foo server nis1
ypserver nis2

Comment 3 Jay Turner 2005-06-09 18:25:27 UTC
QE ack.  Easily tested and would be good to get fixed.

Comment 4 Jerry Uanino 2005-07-08 19:26:02 UTC
I'm also interested in getting this fixed one day.

Comment 17 Red Hat Bugzilla 2006-05-03 21:34:58 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0376.html


Comment 19 Shawn Starr 2006-10-17 20:12:45 UTC
Is that correct? Isn't the following configuration supposed to be done:

# /usr/sbin/authconfig --enablenis --nisdomain foo --nisserver 
nis1,nis2 --kickstart --nostart

'expected result' :

# cat /etc/yp.conf
domain foo server nis1
domain foo server nis2

If you want to have two NIS servers on one domain for example?



Note You need to log in before you can comment on or make changes to this bug.